[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#432650: 2.6.21-2: cannot grab IDE ports, hangs on boot

Package: linux-image-2.6.21-2-k7
Version: 2.6.21-5
Severity: normal

Kernel 2.6.21-2 on Lenny hangs during boot. 2.6.18-4 works. Last

"Waiting for root filesystem."

Leading up to that it talks about not being able to grab the IDE ports
as they are already in use.


Jul  9 11:56:00 merkur kernel: SIS5513: IDE controller at PCI slot 0000:00:00.1
Jul  9 11:56:00 merkur kernel: SIS5513: chipset revision 208
Jul  9 11:56:00 merkur kernel: SIS5513: not 100%% native mode: will probe irqs later
Jul  9 11:56:00 merkur kernel: SIS5513: SiS730 ATA 100 (1st gen) controller
Jul  9 11:56:00 merkur kernel:     ide0: BM-DMA at 0xd800-0xd807, BIOS settings: hda:DMA, hdb:pio
Jul  9 11:56:00 merkur kernel:     ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:DMA, hdd:pio
Jul  9 11:56:00 merkur kernel: Probing IDE interface ide0...


0170-0177 : ide1
01f0-01f7 : ide0
0376-0376 : ide1
03f6-03f6 : ide0
  d000-d0ff : Trident Audio
  d800-d807 : ide0
  d808-d80f : ide1

relevant lspci -v:

00:00.0 Host bridge: Silicon Integrated Systems [SiS] 730 Host (rev 02)
        Flags: bus master, medium devsel, latency 32
        Memory at ec000000 (32-bit, non-prefetchable) [size=64M]
        Capabilities: [c0] AGP version 2.0

00:00.1 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev d0) (prog-if 80 [Master])
        Subsystem: ASUSTeK Computer Inc. Unknown device 1598
        Flags: bus master, fast devsel, latency 16
        I/O ports at d800 [size=16]

00:01.0 ISA bridge: Silicon Integrated Systems [SiS] SiS85C503/5513 (LPC Bridge)
        Flags: bus master, medium devsel, latency 0


-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-k7 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.21-2-k7 depends on:
ii  initramfs-tools [linux-initr 0.88        tools for generating an initramfs
ii  module-init-tools            3.3-pre11-1 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.21-2-k7 recommends:
ii  libc6-i686                    2.5-9+b1   GNU C Library: Shared libraries [i

-- debconf information:
  linux-image-2.6.21-2-k7/preinst/elilo-initrd-2.6.21-2-k7: true
  linux-image-2.6.21-2-k7/postinst/old-system-map-link-2.6.21-2-k7: true
  linux-image-2.6.21-2-k7/postinst/depmod-error-2.6.21-2-k7: false
  linux-image-2.6.21-2-k7/preinst/lilo-initrd-2.6.21-2-k7: true
  linux-image-2.6.21-2-k7/postinst/create-kimage-link-2.6.21-2-k7: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.21-2-k7/prerm/would-invalidate-boot-loader-2.6.21-2-k7: true
  linux-image-2.6.21-2-k7/preinst/bootloader-initrd-2.6.21-2-k7: true
  linux-image-2.6.21-2-k7/preinst/overwriting-modules-2.6.21-2-k7: true
  linux-image-2.6.21-2-k7/postinst/depmod-error-initrd-2.6.21-2-k7: false
  linux-image-2.6.21-2-k7/postinst/old-initrd-link-2.6.21-2-k7: true
  linux-image-2.6.21-2-k7/prerm/removing-running-kernel-2.6.21-2-k7: true
  linux-image-2.6.21-2-k7/postinst/old-dir-initrd-link-2.6.21-2-k7: true

Reply to: